tigoto
Prev | Orchestra Opcodes and Operators | Next

## tigoto

tigoto — Transfer control at i-time when a new note is being tied onto a previously held note

## Description

Similar to igoto but effective only during an i-time pass at which a new note is being “tied” onto a previously held note. (See i Statement) It does not work when a tie has not taken place. Allows an instrument to skip initialization of units according to whether a proposed tie was in fact successful. (See also tival, delay).

## Syntax

    tigoto label

where label is in the same instrument block and is not an expression, and where R is one of the Relational operators (<, =, <=, ==, !=) (and = for convenience, see also under Conditional Values).

## See Also

cigoto, goto, if, igoto, kgoto, timout

## Credits

Added a note by Jim Aikin.

Prev | Up | Next
tempoval | Home | timedseq